CREATE OR REPLACE PACKAGE owa_log AS
	PROCEDURE log_error(err_text VARCHAR2);
	PRAGMA RESTRICT_REFERENCES(DEFAULT,WNDS);
END;
/
show err

CREATE OR REPLACE PACKAGE BODY owa_log AS
	PROCEDURE log_error(err_text VARCHAR2) IS
	BEGIN
		oci_www.log_error(err_text);
	END;
END;
/
show err

drop public synonym owa_log;
create public synonym owa_log for owa_log;
grant execute on owa_log to public;
